doctype html
html
  head
    == slim :headers
  body.grey.darken-4
    == slim :css

    nav.blue-grey.darken-4
      .nav-wrapper
        a.brand-logo.center href="/chart"  Chart
        ul.left.white-text 
          li
            a href ='/'
              .btn-flat.white-text
                i.fa.fa-home.left.line-height
                | Home
                    
          li
            a href ='/chart'
              .btn-flat.white-text
                i.fa.fa-chart-pie.left.line-height
                | Dashboard

    .container.padding
      .row
        form.col.s12
          .row
            .col.s12.z-depth-2.chart-input 
              .input-field
                input.center.white-text placeholder="nginx --status=500"  name='query' type='text' value='#{params[:query]}'
                label for="query" Query

          .row
            .col.s4
              .chart-input.z-depth-2
                .input-field
                  input.white-text.center placeholder="5"  name='interval' type='number' value='#{params[:interval] || 5 }' min="1" max="60"
                  label for="interval" Interval (Minutes)

            .col.s4
              .chart-input.z-depth-2
                .input-field
                  input.white-text.center name='group' type='text' value='#{params[:group]}'
                  label for="group" Group

            .col.s4
              .chart-input.z-depth-2
                .input-field
                  input.white-text.center name='avg' type='text' value='#{params[:avg]}'
                  label for="avg" Avg

          .row
            .input-field.col.s12.center
              button.btn.waves-effect.waves-light type="submit" Go

      .row
        .col.s12.card.padding.z-depth-4
          == area_chart @index
          
      .row
        .col.s12.card.padding.z-depth-4
          == column_chart @index

